function h = plotTxSig(txSig, fs)
    %Plots the transmit signal given the sampling frequency
    %returns h, the plot handle
    
    figure;
    len = length(txSig);
    h = plot((1:len)/fs, txSig);
    xlabel('Time (s)');
    ylabel('Value');
    title('Transmitted Signal');
    
    ylim([-4, 4]);
end