function actualVal = sigDetect(sampledVal)
%Using ML detection, gets the actualValue
%from sampledValue (i.e. just closest distance for 1D case)

    vals = [-3, -1, 1, 3];
    dist = abs(sampledVal - vals);

    [~, ind] = min(dist);   %ML Detection
    actualVal = vals(ind);

end

